<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:08 AEST 2019 -->
<title>AbstractDirectionConverter (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="AbstractDirectionConverter (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":6,"i2":10,"i3":10,"i4":10,"i5":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../com/sk89q/worldedit/command/argument/Arguments.html" title="interface in com.sk89q.worldedit.command.argument"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/command/argument/AbstractDirectionConverter.html" target="_top">Frames</a></li>
<li><a href="AbstractDirectionConverter.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.command.argument</div>
<h2 title="Class AbstractDirectionConverter" class="title">Class AbstractDirectionConverter&lt;D&gt;</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.command.argument.AbstractDirectionConverter&lt;D&gt;</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>org.enginehub.piston.converter.ArgumentConverter&lt;D&gt;, org.enginehub.piston.converter.Converter&lt;D&gt;</dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../../com/sk89q/worldedit/command/argument/DirectionConverter.html" title="class in com.sk89q.worldedit.command.argument">DirectionConverter</a>, <a href="../../../../../com/sk89q/worldedit/command/argument/DirectionVectorConverter.html" title="class in com.sk89q.worldedit.command.argument">DirectionVectorConverter</a></dd>
</dl>
<hr>
<br>
<pre>public abstract class <span class="typeNameLabel">AbstractDirectionConverter&lt;D&gt;</span>
extends java.lang.Object
implements org.enginehub.piston.converter.ArgumentConverter&lt;D&gt;</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier</th>
<th class="colLast" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/command/argument/AbstractDirectionConverter.html#AbstractDirectionConverter-com.sk89q.worldedit.WorldEdit-boolean-">AbstractDirectionConverter</a></span>(<a href="../../../../../com/sk89q/worldedit/WorldEdit.html" title="class in com.sk89q.worldedit">WorldEdit</a>&nbsp;worldEdit,
                          boolean&nbsp;includeDiagonals)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>org.enginehub.piston.converter.ConversionResult&lt;<a href="../../../../../com/sk89q/worldedit/command/argument/AbstractDirectionConverter.html" title="type parameter in AbstractDirectionConverter">D</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/command/argument/AbstractDirectionConverter.html#convert-java.lang.String-org.enginehub.piston.inject.InjectedValueAccess-">convert</a></span>(java.lang.String&nbsp;argument,
       org.enginehub.piston.inject.InjectedValueAccess&nbsp;context)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>protected abstract <a href="../../../../../com/sk89q/worldedit/command/argument/AbstractDirectionConverter.html" title="type parameter in AbstractDirectionConverter">D</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/command/argument/AbstractDirectionConverter.html#convertDirection-java.lang.String-com.sk89q.worldedit.entity.Player-boolean-">convertDirection</a></span>(java.lang.String&nbsp;argument,
                <a href="../../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
                boolean&nbsp;includeDiagonals)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>com.sk89q.worldedit.util.formatting.text.Component</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/command/argument/AbstractDirectionConverter.html#describeAcceptableArguments--">describeAcceptableArguments</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;java.lang.String&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/command/argument/AbstractDirectionConverter.html#getSuggestions-java.lang.String-">getSuggestions</a></span>(java.lang.String&nbsp;input)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../com/sk89q/worldedit/WorldEdit.html" title="class in com.sk89q.worldedit">WorldEdit</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/command/argument/AbstractDirectionConverter.html#getWorldEdit--">getWorldEdit</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>protected static &lt;D&gt;&nbsp;void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/command/argument/AbstractDirectionConverter.html#register-org.enginehub.piston.CommandManager-com.sk89q.worldedit.command.argument.AbstractDirectionConverter-java.lang.Class-boolean-">register</a></span>(org.enginehub.piston.CommandManager&nbsp;commandManager,
        <a href="../../../../../com/sk89q/worldedit/command/argument/AbstractDirectionConverter.html" title="class in com.sk89q.worldedit.command.argument">AbstractDirectionConverter</a>&lt;D&gt;&nbsp;converter,
        java.lang.Class&lt;D&gt;&nbsp;keyClass,
        boolean&nbsp;includeDiagonals)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="AbstractDirectionConverter-com.sk89q.worldedit.WorldEdit-boolean-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>AbstractDirectionConverter</h4>
<pre>protected&nbsp;AbstractDirectionConverter(<a href="../../../../../com/sk89q/worldedit/WorldEdit.html" title="class in com.sk89q.worldedit">WorldEdit</a>&nbsp;worldEdit,
                                     boolean&nbsp;includeDiagonals)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="register-org.enginehub.piston.CommandManager-com.sk89q.worldedit.command.argument.AbstractDirectionConverter-java.lang.Class-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>register</h4>
<pre>protected static&nbsp;&lt;D&gt;&nbsp;void&nbsp;register(org.enginehub.piston.CommandManager&nbsp;commandManager,
                                   <a href="../../../../../com/sk89q/worldedit/command/argument/AbstractDirectionConverter.html" title="class in com.sk89q.worldedit.command.argument">AbstractDirectionConverter</a>&lt;D&gt;&nbsp;converter,
                                   java.lang.Class&lt;D&gt;&nbsp;keyClass,
                                   boolean&nbsp;includeDiagonals)</pre>
</li>
</ul>
<a name="convert-java.lang.String-org.enginehub.piston.inject.InjectedValueAccess-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convert</h4>
<pre>public&nbsp;org.enginehub.piston.converter.ConversionResult&lt;<a href="../../../../../com/sk89q/worldedit/command/argument/AbstractDirectionConverter.html" title="type parameter in AbstractDirectionConverter">D</a>&gt;&nbsp;convert(java.lang.String&nbsp;argument,
                                                                  org.enginehub.piston.inject.InjectedValueAccess&nbsp;context)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>convert</code>&nbsp;in interface&nbsp;<code>org.enginehub.piston.converter.Converter&lt;<a href="../../../../../com/sk89q/worldedit/command/argument/AbstractDirectionConverter.html" title="type parameter in AbstractDirectionConverter">D</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="convertDirection-java.lang.String-com.sk89q.worldedit.entity.Player-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convertDirection</h4>
<pre>protected abstract&nbsp;<a href="../../../../../com/sk89q/worldedit/command/argument/AbstractDirectionConverter.html" title="type parameter in AbstractDirectionConverter">D</a>&nbsp;convertDirection(java.lang.String&nbsp;argument,
                                      @Nullable
                                      <a href="../../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
                                      boolean&nbsp;includeDiagonals)
                               throws <a href="../../../../../com/sk89q/worldedit/UnknownDirectionException.html" title="class in com.sk89q.worldedit">UnknownDirectionException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/UnknownDirectionException.html" title="class in com.sk89q.worldedit">UnknownDirectionException</a></code></dd>
</dl>
</li>
</ul>
<a name="describeAcceptableArguments--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>describeAcceptableArguments</h4>
<pre>public&nbsp;com.sk89q.worldedit.util.formatting.text.Component&nbsp;describeAcceptableArguments()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>describeAcceptableArguments</code>&nbsp;in interface&nbsp;<code>org.enginehub.piston.converter.ArgumentConverter&lt;<a href="../../../../../com/sk89q/worldedit/command/argument/AbstractDirectionConverter.html" title="type parameter in AbstractDirectionConverter">D</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="getSuggestions-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSuggestions</h4>
<pre>public&nbsp;java.util.List&lt;java.lang.String&gt;&nbsp;getSuggestions(java.lang.String&nbsp;input)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getSuggestions</code>&nbsp;in interface&nbsp;<code>org.enginehub.piston.converter.ArgumentConverter&lt;<a href="../../../../../com/sk89q/worldedit/command/argument/AbstractDirectionConverter.html" title="type parameter in AbstractDirectionConverter">D</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="getWorldEdit--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getWorldEdit</h4>
<pre>protected&nbsp;<a href="../../../../../com/sk89q/worldedit/WorldEdit.html" title="class in com.sk89q.worldedit">WorldEdit</a>&nbsp;getWorldEdit()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../com/sk89q/worldedit/command/argument/Arguments.html" title="interface in com.sk89q.worldedit.command.argument"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/command/argument/AbstractDirectionConverter.html" target="_top">Frames</a></li>
<li><a href="AbstractDirectionConverter.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
